Subject: LRO: Stalling/Rough idling SIII and . . .

From: "KURT W. KRAUSS" <[email-masked]>
Date: Wed, 16 May 2001 09:04:14 -0400

Just got my '73 SIII back from my mechanic (I know- I know - I should do
the work myself) and he replaced the valve seals and front pipe where it
meets the new exhaust manifold, reset the timing and replaced the spark
plugs.  It no longer smokes on start up and idles beautifully.  It also
has ceased popping like a 2 stroke Saab when going down hills in gear.
You could feel the exhaust leak between where the manifold and old front
pipe met, apparently causing this "popping" condition and idle problem.
Next question.  It seems to be leaning to the right side.  I remember
reading somewhere that sagging springs can be caused by not enough use.
It only has 17,500 original miles.  Any suggestions?  If I replace the
springs, do I have to do all 4?
Kurt Krauss
73 NAS SIII 88